%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

# WARNING
# To build this package, you must set LC_ALL to cy
# example : LC_ALL=cy rpm -ba aspell-cy.speco

%define src_ver 0.50-3
%define fname aspell-%{languagecode}
%define languagelocal cymraeg
%define languageeng welsh
%define languageenglazy Welsh
%define languagecode cy
%define lc_ctype cy_CY

Summary:	%{languageenglazy} files for aspell
Name:		aspell-%{languagecode}
Version:	0.50.3
Release:	%mkrel 28
Group:		System/Internationalization
Source:		https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
URL:		https://aspell.sourceforge.net/
License:	GPL
Epoch:		1
Provides: spell-cy

BuildRequires:	aspell >= 0.50
Requires:	aspell >= 0.50
BuildRequires:	locales-cy

# Mageia Stuff
Requires:	locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	aspell-dictionary

Autoreqprov:	no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build
export LC_ALL=cy

./configure
%make_build

%install
export LC_ALL=cy

make DESTDIR=$RPM_BUILD_ROOT install

# fix doc perms
chmod 644 README

%files
%doc README
%{_libdir}/aspell-*/*






%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1:0.50.3-28.mga10
+ Revision: 2194948
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 1:0.50.3-27.mga9
+ Revision: 1791172
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.50.3-26.mga8
+ Revision: 1509339
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1:0.50.3-25.mga7
+ Revision: 1294722
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1:0.50.3-24.mga6
+ Revision: 938557
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.50.3-23.mga5
+ Revision: 740553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.50.3-22.mga5
+ Revision: 677930
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.50.3-21.mga4
+ Revision: 502616
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:0.50.3-20.mga3
+ Revision: 346206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 1:0.50.3-19.mga2
+ Revision: 204389
- drop providing of enchant-dictionary
- clean .spec a bit
+ dmorgan <dmorgan>
- Remove mandriva occurencies
+ ahmad <ahmad>
- imported package aspell-cy


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.50.3-18mdv2011.0
+ Revision: 603198
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.50.3-17mdv2010.1
+ Revision: 518912
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.50.3-16mdv2010.0
+ Revision: 413058
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1:0.50.3-15mdv2009.1
+ Revision: 350005
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1:0.50.3-14mdv2009.0
+ Revision: 220367
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 1:0.50.3-13mdv2008.1
+ Revision: 182409
- provide enchant-dictionary

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1:0.50.3-12mdv2008.1
+ Revision: 148744
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.3-11mdv2007.0
+ Revision: 123233
- Import aspell-cy

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.3-11mdv2007.1
- use the mkrel macro
- disable debug packages

* Tue Oct 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.50.3-11mdk
- should not be a noarch package

* Fri Dec 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.50.3-10mdk
- rebuild for new aspell

* Wed Jul 28 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.3-9mdk
- allow build on ia64

